<template>
<v-container pa-0>
  <navigation-list></navigation-list>
  <main-enroll></main-enroll>
  <!-- <v-divider></v-divider> -->
  <!-- <v-container> -->
  <!--   <\!-- <courses></courses> -\-> -->
  <!-- </v-container> -->
  <!-- <courses class="hidden-xs-only"></courses> -->

  <!-- <v-card flat class="pa-3 grey--text"> -->
    <!--   <a href="https://baumanka.pashinin.com">Студентам ИУ-2 МГТУ им. Баумана</a> -->
</v-container>
</template>

<script>
import { mapState } from 'vuex';
import NavigationList from '@/common/NavigationList.vue';

import {
  mdiMenu,
  mdiHome,
  mdiCurrencyUsd,
  mdiChevronLeft,
  mdiChevronRight,
  mdiFrequentlyAskedQuestions,
  mdiContacts,
} from '@mdi/js';

export default {
  components: {
    NavigationList,
    'main-enroll': () => import('../common/MainEnroll.vue'),
    // what: () => import('../components/What.vue'),
  },
  computed: {
    ...mapState([
      'app',
      'user',
      'repetitor',
    ]),
  },
  data: () => ({
    // icons
    mdiMenu,
    mdiHome,
    mdiCurrencyUsd,
    mdiFrequentlyAskedQuestions,
    mdiContacts,
    mdiChevronLeft,
    mdiChevronRight,

    // item: '',
    // items: [
    //   {
    //     to: '/',
    //     title: 'Главная',
    //     // icon: 'mdi-home',
    //     icon: mdiHome,
    //   },
    //   {
    //     to: '/price',
    //     title: 'Оплата',
    //     // icon: 'mdi-currency-usd',
    //     icon: mdiCurrencyUsd,
    //   },
    //   // {
    //   //   to: '/pay',
    //   //   title: 'Как оплатить',
    //   //   icon: 'fa-credit-card',
    //   // },
    //   {
    //     to: '/faq',
    //     title: 'Вопросы',
    //     // icon: 'mdi-frequently-asked-questions',
    //     icon: mdiFrequentlyAskedQuestions,
    //   },
    //   {
    //     to: '/contacts',
    //     title: 'Контакты',
    //     // icon: 'mdi-contacts',
    //     icon: mdiContacts,
    //   },
    // ],
  }),
  metaInfo: {
    title: 'Меню',
    meta: [
      { charset: 'utf-8' },
      {
        name: 'description',
        content: 'Школьная и ВУЗовская программа по информатике и другие задачи',
      },
      {
        property: 'og:title',
        content: 'Репетитор по информатике и программированию',
      },
    ],
  },
};
</script>
